<?php 

	// get the text file with source/target list
	$list = file_get_contents("dataviznet.txt");

	$lines = preg_split("/\n/",$list);

	array_shift($lines); // shift off the source target line
	
	$node2number = array();
	$number2node = array();
	
	$content = "edgedef>node1 VARCHAR,node2 VARCHAR\n";
	
	foreach($lines as $line) {
		
		$pairs = preg_split("/\t/",$line);
		
		$pairs[0] = urldecode($pairs[0]);
		$pairs[1] = urldecode($pairs[1]);
		//print_r($pairs);
		
		if(!isset($node2number[$pairs[0]])) {
			
			$number2node[] = $pairs[0];
			
			$node2number[$pairs[0]] = array();
			$node2number[$pairs[0]]["number"] = count($number2node) - 1;
			$node2number[$pairs[0]]["counter"] = 1; 
		} else {
			$node2number[$pairs[0]]["counter"]++;
		}
		
		if(!isset($node2number[$pairs[1]])) {
			
			$number2node[] = $pairs[1];
			
			$node2number[$pairs[1]] = array();
			$node2number[$pairs[1]]["number"] = count($number2node) - 1;
			$node2number[$pairs[1]]["counter"] = 1; 
		} else {
			$node2number[$pairs[0]]["counter"]++;
		}

		$content .= $node2number[$pairs[0]]["number"] . "," . $node2number[$pairs[1]]["number"] . "\n";
	}

	print_r($node2number);
	
	$nodecontent = "";
	
	for($i = 0; $i < count($number2node); $i++) {
		$nodecontent .= $i . "," . $number2node[$i] . "," . $node2number[$number2node[$i]]["counter"] . "\n";
	}
	
	
	$content = "nodedef>name VARCHAR,label VARCHAR,count INT\n" . $nodecontent . $content;
	
	file_put_contents("network.gdf", $content);
?>